Index: trunk/expressoAdmin1_2/inc/class.uigroups.inc.php
===================================================================
--- trunk/expressoAdmin1_2/inc/class.uigroups.inc.php	(revision 309)
+++ trunk/expressoAdmin1_2/inc/class.uigroups.inc.php	(revision 414)
@@ -89,16 +89,8 @@
 				'add_action'			=> $GLOBALS['phpgw']->link('/index.php','menuaction=expressoAdmin1_2.uigroups.add_groups'),
 				'add_group_disabled'	=> $this->functions->check_acl($account_lid,'add_groups') ? '' : 'disabled',
-				//'context'				=> $context,
-				'context_display'		=> $context_display,
-				'lang_groups_names'		=> lang('Groups Names'),
-				'lang_description'		=> lang('Description'),
-				'lang_add_groups'		=> lang('Add Groups'),
-				'lang_edit'  			=> lang('Edit'),
-				'lang_delete'			=> lang('Delete'),
-				'lang_back'				=> lang('back'),
-				'lang_context'			=> lang('context'),
-				'lang_search'			=> lang('search')
+				'context_display'		=> $context_display
 			);
 			$p->set_var($var);
+			$p->set_var($this->functions->make_dinamic_lang($p, 'list'));
 			
 			// Save query
@@ -196,4 +188,5 @@
 			$p = CreateObject('phpgwapi.Template',PHPGW_APP_TPL);
 			$p->set_file(Array('create_group' => 'groups_form.tpl'));
+			$p->set_block('create_group','list','list');
 
 			// Pega combo das organizações e seleciona um dos setores em caso de um erro na validaçao dos dados.
@@ -232,21 +225,7 @@
 				'ldap_context'				=> $GLOBALS['phpgw_info']['server']['ldap_context'],
 				'ufn_ldap_context'			=> ldap_dn2ufn($GLOBALS['phpgw_info']['server']['ldap_context']),
-				'lang_back'					=> lang('Back'),
-				'lang_save'					=> lang('save'),
-				'lang_group_organization'	=> lang('Group Organization'),
-				'lang_search_organization'	=> lang('Search Organiztion'),
-				'lang_org'					=> lang('Organizations'),
-				'lang_group_name'			=> lang('group name'),
-				'lang_description'			=> lang('Description'),
-				'lang_email'				=> lang('E-mail'),
 				'concatenateDomain'			=> $this->current_config['expressoAdmin_concatenateDomain'],
 				'defaultDomain'				=> $this->current_config['expressoAdmin_defaultDomain'],
-				'lang_group_users'			=> lang('Group users'),
-				'lang_applications'			=> lang('Applications'),
-				'lang_add_user'				=> lang('Add User'),
-				'lang_rem_user'				=> lang('Remove User'),
-				'lang_all_users'			=> lang('Select users from all sub-organizations'),
 				'apps'						=> $apps,
-				//'use_attrs_samba_checked'	=> $this->current_config['expressoAdmin_samba_support'] == 'true' ? 'CHECKED' : '',
 				'use_attrs_samba_checked'	=> '',
 				'disabled_samba'			=> 'disabled',
@@ -259,5 +238,6 @@
 			);
 			$p->set_var($var);
-
+			$p->set_var($this->functions->make_dinamic_lang($p, 'list'));
+			
 			$p->pfp('out','create_group');
 		}
@@ -288,4 +268,5 @@
 			$p = CreateObject('phpgwapi.Template',PHPGW_APP_TPL);
 			$p->set_file(Array('create_group' => 'groups_form.tpl'));
+			$p->set_block('create_group','list','list');
 
 			// Obtem combo das organizações e seleciona a org do grupo.
@@ -357,19 +338,5 @@
 				'type'						=> 'edit_group',
 				'ldap_context'				=> $GLOBALS['phpgw_info']['server']['ldap_context'],
-				'lang_back'					=> lang('Back'),
-				'lang_save'					=> lang('save'),
-				'lang_group_organization'	=> lang('Group Organization'),
-				'lang_search_organization'	=> lang('Search Organiztion'),
-				'lang_org'					=> lang('Organizations'),
-				'lang_group_name'			=> lang('group name'),
-				'lang_description'			=> lang('Description'),
-				'lang_email'				=> lang('E-mail'),
-				'lang_group_users'			=> lang('Group users'),
-				'lang_applications'			=> lang('Applications'),
-				'lang_add_user'				=> lang('Add User'),
-				'lang_rem_user'				=> lang('Remove User'),
-				'lang_all_users'			=> lang('Select users from all sub-organizations'),
 				'gidnumber'					=> $group_info['gidnumber'],
-				//'manager_context'			=> $manager_context,
 				'cn'						=> $group_info['cn'],
 				'user_count'				=> $user_count,
@@ -388,5 +355,5 @@
 			);
 			$p->set_var($var);
-
+			$p->set_var($this->functions->make_dinamic_lang($p, 'list'));
 			$p->pfp('out','create_group');
 		}
@@ -404,34 +371,4 @@
 		{
 			$appCSS = '';
-/*			'th.activetab
-			{
-				color:#000000;
-				background-color:#D3DCE3;
-				border-top-width : 1px;
-				border-top-style : solid;
-				border-top-color : Black;
-				border-left-width : 1px;
-				border-left-style : solid;
-				border-left-color : Black;
-				border-right-width : 1px;
-				border-right-style : solid;
-				border-right-color : Black;
-			}
-			
-			th.inactivetab
-			{
-				color:#000000;
-				background-color:#E8F0F0;
-				border-bottom-width : 1px;
-				border-bottom-style : solid;
-				border-bottom-color : Black;
-			}
-			
-			.td_left { border-left : 1px solid Gray; border-top : 1px solid Gray; }
-			.td_right { border-right : 1px solid Gray; border-top : 1px solid Gray; }
-			
-			div.activetab{ display:inline; }
-			div.inactivetab{ display:none; }';*/
-			
 			return $appCSS;
 		}
Index: trunk/expressoAdmin1_2/inc/class.db_functions.inc.php
===================================================================
--- trunk/expressoAdmin1_2/inc/class.db_functions.inc.php	(revision 180)
+++ trunk/expressoAdmin1_2/inc/class.db_functions.inc.php	(revision 414)
@@ -106,5 +106,5 @@
         {
         	$return['status'] = false;
-			$return['msg'] = "Problemas executando a query accounts no Banco de Dados.";
+			$result['msg'] = $this->functions->lang('Problems running query on DB') . '.';
 			$db->disconnect();
         	return $return;
@@ -120,5 +120,5 @@
         {
         	$return['status'] = false;
-			$return['msg'] = "Problemas executando a query groups no Banco de Dados.";
+			$result['msg'] = $this->functions->lang('Problems running query on DB') . '.';
 			$db->disconnect();
         	return $return;
@@ -142,5 +142,5 @@
 		{
         	$return['status'] = false;
-			$return['msg'] = "Problemas executando a query update id no Banco de Dados.";
+			$result['msg'] = $this->functions->lang('Problems running query on DB') . '.';
 		}
 		$db->disconnect();
@@ -148,40 +148,4 @@
 	}
 	
-	/*
-	function increment_id($id, $type)
-	{
-		$current_config = $_SESSION['phpgw_info']['expresso']['expressoAdmin'];
-		if ($current_config['expressoAdmin_nextid_db_host'] != '')
-		{
-			$this->db->disconnect();
-			$host = $current_config['expressoAdmin_nextid_db_host'];
-			$port = $current_config['expressoAdmin_nextid_db_port'];
-			$name = $current_config['expressoAdmin_nextid_db_name'];
-			$user = $current_config['expressoAdmin_nextid_db_user'];
-			$pass = $current_config['expressoAdmin_nextid_db_pass'];
-			
-			$db = new db();
-			$db->Halt_On_Error = 'no';
-			$db->connect($name, $host, $port, $user, $pass, 'pgsql');
-		}
-		else
-		{
-			$db = $this->db;
-		}
-
-		$sql = "UPDATE phpgw_nextid set id = '".$id."' WHERE appname = '" . $type . "'";
-		if (!$db->query($sql))
-		{
-			$db->disconnect();
-			return 'Erro em increment_id:' . pg_last_error();
-		}
-		else
-		{
-			$db->disconnect();
-			return true;
-		}
-	}
-	*/
-	
 	function add_user2group($gidnumber, $uidnumber)
 	{
@@ -190,5 +154,5 @@
 		{
 			$result['status'] = false;
-			$result['msg'] = 'Erro em add_user2group:' . pg_last_error();
+			$result['msg'] = $this->functions->lang('Error on function') . " db_functions->add_user2group.\n" . $this->functions->lang('Server returns') . ': ' . pg_last_error();
 			return $result;
 		}
@@ -203,5 +167,5 @@
 			{
 				$result['status'] = false;
-				$result['msg'] = 'Erro em add_user2group:' . pg_last_error();
+				$result['msg'] = $this->functions->lang('Error on function') . " db_functions->add_user2group.\n" . $this->functions->lang('Server returns') . ': ' . pg_last_error();
 				return $result;
 			}
@@ -217,5 +181,5 @@
 		{
 			$result['status'] = false;
-			$result['msg'] = 'Erro em add_user2group:' . pg_last_error();
+			$result['msg'] = $this->functions->lang('Error on function') . " db_functions->remove_user2group.\n" . $this->functions->lang('Server returns') . ': ' . pg_last_error();
 			return $result;
 		}
@@ -229,5 +193,5 @@
 			{
 				$result['status'] = false;
-				$result['msg'] = 'Erro em add_user2group:' . pg_last_error();
+				$result['msg'] = $this->functions->lang('Error on function') . " db_functions->remove_user2group.\n" . $this->functions->lang('Server returns') . ': ' . pg_last_error();
 				return $result;
 			}
@@ -243,5 +207,5 @@
 		{
 			$result['status'] = false;
-			$result['msg'] = 'Erro em add_pref_changepassword:' . pg_last_error();
+			$result['msg'] = $this->functions->lang('Error on function') . " db_functions->add_pref_changepassword.\n" . $this->functions->lang('Server returns') . ': ' . pg_last_error();
 			return $result;
 		}
@@ -256,5 +220,5 @@
 			{
 				$result['status'] = false;
-				$result['msg'] = 'Erro em add_pref_changepassword:' . pg_last_error();
+				$result['msg'] = $this->functions->lang('Error on function') . " db_functions->add_pref_changepassword.\n" . $this->functions->lang('Server returns') . ': ' . pg_last_error();
 				return $result;
 			}
@@ -270,5 +234,5 @@
 		{
 			$result['status'] = false;
-			$result['msg'] = 'Erro em add_pref_changepassword:' . pg_last_error();
+			$result['msg'] = $this->functions->lang('Error on function') . " db_functions->remove_pref_changepassword.\n" . $this->functions->lang('Server returns') . ': ' . pg_last_error();
 			return $result;
 		}
@@ -282,5 +246,5 @@
 			{
 				$result['status'] = false;
-				$result['msg'] = 'Erro em remove_pref_changepassword:' . pg_last_error();
+				$result['msg'] = $this->functions->lang('Error on function') . " db_functions->remove_pref_changepassword.\n" . $this->functions->lang('Server returns') . ': ' . pg_last_error();
 				return $result;
 			}
@@ -301,5 +265,5 @@
 				{
 					$result['status'] = false;
-					$result['msg'] = 'Erro em add_id2apps: ' . pg_last_error();
+					$result['msg'] = $this->functions->lang('Error on function') . " db_functions->add_id2apps.\n" . $this->functions->lang('Server returns') . ': ' . pg_last_error();
 					return $result;
 				}
@@ -316,10 +280,10 @@
 					{
 						$result['status'] = false;
-						$result['msg'] = 'Erro em add_id2apps: ' . pg_last_error();
+						$result['msg'] = $this->functions->lang('Error on function') . " db_functions->add_id2apps.\n" . $this->functions->lang('Server returns') . ': ' . pg_last_error();
 						return $result;
 					}
 					else
 					{
-						$this->write_log("Adicionado aplicativo $app ao id",$id,'','','');	
+						$this->write_log("Added application","$id:$app");	
 					}
 				}
@@ -341,5 +305,5 @@
 				{
 					$result['status'] = false;
-					$result['msg'] = 'Erro em remove_id2apps:' . pg_last_error();
+					$result['msg'] = $this->functions->lang('Error on function') . " db_functions->remove_id2apps.\n" . $this->functions->lang('Server returns') . ': ' . pg_last_error();
 					return $result;
 				}
@@ -353,10 +317,10 @@
 					{
 						$result['status'] = false;
-						$result['msg'] = 'Erro em remove_id2apps:' . pg_last_error();
+						$result['msg'] = $this->functions->lang('Error on function') . " db_functions->remove_id2apps.\n" . $this->functions->lang('Server returns') . ': ' . pg_last_error();
 						return $result;
 					}
 					else
 					{
-						$this->write_log("Removido aplicativo $app do id",$id,'','','');	
+						$this->write_log("Removed application from id","$id: $app");	
 					}
 				}
@@ -467,5 +431,5 @@
 			{
 				$result['status'] = false;
-				$result['msg'] = 'Erro em set_user_password: ' . pg_last_error();
+				$result['msg'] = $this->functions->lang('Error on function') . " db_functions->set_user_password.\n" . $this->functions->lang('Server returns') . ': ' . pg_last_error();
 				return $result;
 			}
@@ -578,8 +542,8 @@
 	}
 	
-	function write_log($action, $groupinfo='', $userinfo='', $appinfo='', $msg_log='')
-	{
-		$sql = "INSERT INTO phpgw_expressoadmin_log (date, manager, action, groupinfo, userinfo, appinfo, msg) "
-		. "VALUES('now','" . $_SESSION['phpgw_info']['expresso']['user']['account_lid'] . "','" . strtolower($action) . "','" . strtolower($groupinfo) . "','" . strtolower($userinfo) . "','" . strtolower($appinfo) . "','" .strtolower($msg_log) . "')";
+	function write_log($action, $about)
+	{
+		$sql = "INSERT INTO phpgw_expressoadmin_log (date, manager, action, userinfo) "
+		. "VALUES('now','" . $_SESSION['phpgw_info']['expresso']['user']['account_lid'] . "','" . strtolower($action) . "','" . strtolower($about) . "')";
 		$this->db->query($sql);
 		return;
Index: trunk/expressoAdmin1_2/inc/class.uiaccounts.inc.php
===================================================================
--- trunk/expressoAdmin1_2/inc/class.uiaccounts.inc.php	(revision 401)
+++ trunk/expressoAdmin1_2/inc/class.uiaccounts.inc.php	(revision 414)
@@ -91,29 +91,15 @@
 				'bg_color'					=> $GLOBALS['phpgw_info']['theme']['bg_color'],
 				'th_bg'						=> $GLOBALS['phpgw_info']['theme']['th_bg'],
-				
 				'accounts_url'				=> $GLOBALS['phpgw']->link('/index.php','menuaction=expressoAdmin1_2.uiaccounts.list_users'),
 				'back_url'					=> $GLOBALS['phpgw']->link('/expressoAdmin1_2/index.php'),
 				'add_action'				=> $GLOBALS['phpgw']->link('/index.php','menuaction=expressoAdmin1_2.uiaccounts.add_users'),
-				
 				'create_user_disabled'		=> $this->functions->check_acl($account_lid,'add_users') ? '' : 'disabled',
 				'context'					=> $raw_context,
 				'context_display'			=> $context_display,
-				'imapDelimiter'				=> $_SESSION['phpgw_info']['expresso']['email_server']['imapDelimiter'], 
-				
-				'lang_create_user'			=> lang('Create User'),
-				'lang_loginid'				=> lang('LoginID'),
-				'lang_cn'					=> lang('Name'),
-				'lang_mail'					=> lang('E-mail'),
-				'lang_edit'					=> lang('edit'),
-				'lang_rename'				=> lang('rename'),
-				'lang_delete'				=> lang('delete'),
-				'lang_search'				=> lang('Search'),
-				'lang_back'					=> lang('back'),
-				'lang_contexts'				=> lang('Contexts')
-				
+				'imapDelimiter'				=> $_SESSION['phpgw_info']['expresso']['email_server']['imapDelimiter']
 			);
 			$p->set_var($var);
-			
-			// Save query
+			$p->set_var($this->functions->make_dinamic_lang($p, 'body'));
+
 			$p->set_var('query', $GLOBALS['query']);
 			
@@ -251,27 +237,5 @@
 				// First ABA
 				'display_spam_uid'				=> 'display:none',
-				'lang_general_information'		=> lang('General Information'),
-				'lang_corporative_information'	=> lang('Corporative Information'),
-				'lang_email_config'				=> lang('Email Config'),
-				'lang_groups_permission'		=> lang('Groups Permission'),
-				'lang_lists_permission'			=> lang('Email Lists'),
-				'lang_aplication_permission'	=> lang('Aplication Permission'),	
-				'lang_search_organization'		=> lang('Search Organiztion'),
-				'lang_organizations'			=> lang('Organizations'),
-				'lang_sector'					=> lang('Sector'),
-				'lang_account_lid'				=> lang('Login ID'),
-				'lang_firstname'				=> lang('First Name'),
-				'lang_lastname'					=> lang('Last Name'),
-				'lang_password'					=> lang('Password'),
-				'lang_re-password'				=> lang('Re-Password'),
-				'lang_passwd_expired'			=> lang('Password expired'),
-				'lang_changepassword'			=> lang('Change password'),				
-				'lang_phone'					=> lang('Phone'),
-				'lang_photo'					=> lang('Photo'),
-				'lang_account_active'			=> lang('Account Active'),
-				'lang_account_invisible'		=> lang('Account Invisible'),
-				'lang_never'					=> lang('never'),
-				'lang_back'						=> lang('Back'),
-				'lang_save'						=> lang('Save'),
+				
 				'sectors'						=> $combo_manager_org,
 				'combo_organizations'			=> $combo_manager_org,
@@ -290,18 +254,6 @@
 				// Corporative Information
 				'display_corporative_information' => $this->functions->check_acl($manager_lid,'manipulate_corporative_information') ? '' : 'none',
-				'lang_employeenumber'			=> lang('Employee number'),
-				'lang_cpf'						=> lang('cpf'),
-				'lang_rg'						=> lang('rg'),
-				'lang_rguf'						=> lang('rguf'),
 				
 				//MAIL
-				'lang_activeemailaccount'		=> lang('Active email account'),
-				'lang_email'					=> lang('E-mail'),
-				'lang_aliasemail'				=> lang('Alias email'),
-				'lang_forwardingemail'			=> lang('Forwarding email'),
-				'lang_email_quota'				=> lang('Email quota in MB'),
-				'lang_onlyforwarding'			=> lang('Only forwarding'),
-				'lang_quote_message'			=> lang('leave empty for no quota'),
-				'lang_email_quota_used'			=> lang('Quota used in MB'),
 				'accountstatus_checked'			=> 'CHECKED',
 				'mailquota'						=> $this->current_config['expressoAdmin_defaultUserQuota'],
@@ -310,30 +262,8 @@
 				'input_mailalternateaddress_fields' => '<input type="text" name="mailalternateaddress[]" id="mailalternateaddress" autocomplete="off" value="{mailalternateaddress}" {disabled} size=30>',
 				'input_mailforwardingaddress_fields'=> '<input type="text" name="mailforwardingaddress[]" id="mailforwardingaddress" autocomplete="off" value="{mailforwardingaddress}" {disabled} size=30>',
-
-				//Third ABA
-				'lang_groups'					=> lang('Groups'),
-				'lang_user_groups'				=> 'Grupos do Usuário',
-				'lang_available_groups'			=> 'Grupos disponíveis',
-				'lang_listGroups'				=> lang('ListGroups'),
-				'lang_primary_group'			=> lang('Primary Group'),
-				'lang_add'						=> lang('Add'),
-				'lang_rem'						=> lang('Remove'),
-				
-				//Fourd ABA
-				'lang_user_mail_lists'			=> 'O usuário participa destas Listas de E-mail',
-				'lang_available_mail_lists'		=> 'Listas de E-mail disponíveis',
-				
-				//Five ABA
+				
 				'apps'								=> $applications_list,
 				
 				//SAMBA ABA
-				'lang_samba_config'					=> lang('Samba Config'),
-				'lang_use_attrs_samba'				=> lang('Use samba attributes'),
-				'lang_sambadomain'					=> lang('Domain'),
-				'lang_sambaAcctFlags'				=> lang('AcctFlags'),
-				'lang_sambaLogonScript'				=> lang('Logon Script'),
-				'lang_sambaHomeDirectory'			=> lang('Home Directory'),
-				'lang_active_user'					=> lang('Samba User Active'),
-				'lang_desactive_user'				=> lang('Samba User Desactive'),
 				'use_attrs_samba_checked'			=> 'CHECKED',
 				'sambadomainname_options'			=> $sambadomainname_options,
@@ -342,4 +272,5 @@
 			);
 			$t->set_var($var);
+			$t->set_var($this->functions->make_dinamic_lang($t, 'main'));
 			$t->pfp('out','main');
 		}
@@ -470,15 +401,8 @@
 			$t->set_block('body','main');
 							
-    		// ORGANIZATIONS
-    		/*
-   			foreach ($contexts as $index=>$context)
-   				$orgs .= $this->functions->get_organizations($context, $user_info['context']);
-   			*/
-   				
 			foreach ($contexts as $index=>$context)
 				$combo_manager_org .= $this->functions->get_organizations($context, $user_info['context']);
 			$combo_all_orgs = $this->functions->get_organizations($GLOBALS['phpgw_info']['server']['ldap_context'], $user_info['context'], true, true, true);			
 
-
 			// GROUPS.
 			if (count($user_info['groups_info']) > 0)
@@ -491,14 +415,4 @@
 				foreach ($array_groups as $gidnumber=>$cn)
 				{
-					// Grupo existe no Banco mas não no Ldap, excluimos grupo do Banco.
-					/*
-					if (!$this->ldap_functions->group_exist($gidnumber))
-					{
-						$this->db_functions->delete_group($gidnumber);
-						$this->db_functions->write_log("expressoAdmin deletou o grupo $gidnumber do banco, pois não existia no ldap.",'','','','');
-						continue;
-					}
-					*/
-					
 					// O memberUid do usuário está somente no Banco, então adicionamos o memberUid no Ldap.
 					if (is_null($user_info['groups_ldap'][$gidnumber]))
@@ -649,31 +563,7 @@
 				'alert_warning'					=> "$alert_warning",
 				'display_input_account_lid'		=> 'display:none',
-				'lang_general_information'		=> lang('General Information'),
-				'lang_corporative_information'	=> lang('Corporative Information'),
-				'lang_email_config'				=> lang('Email Config'),
-				'lang_groups_permission'		=> lang('Groups Permission'),
-				'lang_lists_permission'			=> lang('Email Lists'),
-				'lang_aplication_permission'	=> lang('Aplication Permission'),	
-				'lang_organizations'			=> lang('Organizations'),
-				'lang_search_organization'		=> lang('Search Organiztion'),
-				'lang_sector'					=> lang('Sector'),
-				'lang_account_lid'				=> lang('Login ID'),
-				'lang_firstname'				=> lang('First Name'),
-				'lang_lastname'					=> lang('Last Name'),
-				'lang_passwd_expired'			=> lang('Password expired'),
-				'lang_password'					=> lang('Password'),
-				'lang_phone'					=> lang('Phone'),
-				'lang_photo'					=> lang('Photo'),
-				'lang_re-password'				=> lang('Re-Password'),
-				'lang_changepassword'			=> lang('Change password'),				
-				'lang_account_active'			=> lang('Account Active'),
-				'lang_account_invisible'		=> lang('Account Invisible'),
-				'lang_back'						=> lang('Back'),
-				'lang_save'						=> lang('Save'),
-				
 				'sectors'						=> $combo_manager_org,
 				'combo_organizations'			=> $combo_manager_org,
 				'combo_all_orgs'				=> $combo_all_orgs,
-				
 				'uid'							=> $user_info['uid'],
 				'givenname'						=> $user_info['givenname'],
@@ -683,9 +573,6 @@
 				'photo_bin'						=> $photo_bin,
 				'disabled_edit_photo'			=> $disabled_edit_photo,
-				//'display_picture'				=> $this->functions->check_acl($manager_account_lid,'edit_users_picture') ? '' : 'none',
 				'display_picture'				=> $display_picture,
-				
 				'display_tr_default_password'	=> $this->functions->check_acl($manager_account_lid,'set_user_default_password') ? '' : 'none',
-				
 				'passwd_expired_checked'		=> $user_info['passwd_expired'] == '0' ? 'CHECKED' : '',
 				'changepassword_checked'		=> $user_info['changepassword'] == '1' ? 'CHECKED' : '',
@@ -694,49 +581,25 @@
 
 				// Corporative Information
-				'lang_employeenumber'			=> lang('Employee number'),
-				'lang_cpf'						=> lang('cpf'),
-				'lang_rg'						=> lang('rg'),
-				'lang_rguf'						=> lang('rguf'),
 				'corporative_information_employeenumber' => $user_info['corporative_information_employeenumber'],
 				'corporative_information_cpf'			=> $user_info['corporative_information_cpf'],
 				'corporative_information_rg'			=> $user_info['corporative_information_rg'],
 				'corporative_information_rguf'			=> $user_info['corporative_information_rguf'],
+				'corporative_information_description'	=> $user_info['corporative_information_description'],
 				
 				//MAIL
 				'disabled_quota_used'		=> 'disabled',
-				'lang_activeemailaccount'	=> lang('Active email account'),
-				'lang_email'				=> lang('E-mail'),
-				'lang_aliasemail'			=> lang('Alias email'),
-				'lang_forwardingemail'		=> lang('Forwarding email'),
-				'lang_email_quota'			=> lang('Email quota in MB'),
-				'lang_onlyforwarding'		=> lang('Only forwarding'),
-				'lang_email_quota_used'		=> lang('Quota used in MB'),
-				
 				'accountstatus_checked'		=> $user_info['accountstatus'] == 'active' ? 'CHECKED' : '',
 				'mail'						=> $user_info['mail'],
-				
-				//'mailalternateaddress'		=> $user_info['mailalternateaddress'],
-				//'mailforwardingaddress'		=> $user_info['mailforwardingaddress'],
 				'input_mailalternateaddress_fields'	=> $input_mailalternateaddress_fields,
 				'input_mailforwardingaddress_fields'=> $input_mailforwardingaddress_fields,
-				
 				'deliverymode_checked'		=> $user_info['deliverymode'] == 'forwardOnly' ? 'CHECKED' : '',
-				
 				'mailquota'					=> $user_info['mailquota'],
 				'mailquota_used'			=> $user_info['mailquota_used'],
 
 				//Third ABA
-				'lang_groups'				=> lang('Groups'),
-				'lang_user_groups'			=> 'Grupos do Usuário',
-				'lang_available_groups'		=> 'Grupos disponíveis',
-				'lang_primary_group'		=> lang('Primary Group'),
-				'lang_add'					=> lang('Add'),
-				'lang_rem'					=> lang('Remove'),
 				'ea_select_user_groups_options'	=> $ea_select_user_groups_options,
 				'ea_combo_primary_user_group_options'	=> $ea_combo_primary_user_group_options,
 				
 				//Fourd ABA
-				'lang_user_mail_lists'			=> 'O usuário participa destas Listas de E-mail',
-				'lang_available_mail_lists'		=> 'Listas de E-mail disponíveis',
 				'ea_select_user_maillists_options'  => $ea_select_user_maillists_options,
 								
@@ -745,13 +608,4 @@
 
 				//SAMBA ABA
-				'lang_samba_config'			=> lang('Samba Config'),
-				'lang_use_attrs_samba'		=> lang('Use samba attributes'),
-				'lang_sambadomain'			=> lang('Domain'),
-				'lang_sambaAcctFlags'		=> lang('AcctFlags'),
-				'lang_sambaLogonScript'		=> lang('Logon Script'),
-				'lang_sambaHomeDirectory'	=> lang('Home Directory'),
-				'lang_active_user'			=> lang('Samba User Active'),
-				'lang_desactive_user'		=> lang('Samba User Desactive'),
-				
 				'userSamba'					=> $user_info['sambaUser'],
 				'sambadomainname_options'	=> $sambadomainname_options,
@@ -765,4 +619,5 @@
 			);
 			$t->set_var($var);
+			$t->set_var($this->functions->make_dinamic_lang($t, 'main'));
 			
 			// Devo mostrar aba SAMBA ??
@@ -911,12 +766,8 @@
 			$var = Array(
 				'th_bg'			=> $GLOBALS['phpgw_info']['theme']['th_bg'],
-				'lang_back'		=> 'Back',
 				'back_url'		=> "./index.php?menuaction=expressoAdmin1_2.uiaccounts.edit_user&account_id=$account_id",
-				'lang_loginid'	=> lang('Login ID'),
-				'lang_ip'		=> lang('IP'),
-				'lang_login'	=> lang('Log IN'),
-				'lang_logout'	=> lang('Log OUT')
 			);
 			$t->set_var($var);
+			$t->set_var($this->functions->make_dinamic_lang($t, 'body'));
 			$t->pfp('out','body');
 		}
